EDIT - bug #9173

NPE when move synonym into homotypical group of accepted
07/30/2020 12:41 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: normal Found in Version:

Description

Hallo,

beim Verschieben in die homot. Gruppe des Taxons, nachdem das Synonym von einem anderen Taxon hierher vorschoben wurde.
HG
W

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/taxon.service
last remote request client time : 2020-07-16T17:31:33.995
last remote request response header time : Thu, 16 Jul 2020 17:31:34 GMT
client error time : 2020-07-16T17:31:34.195
login : w.berendsohn
editor version : 5.16.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 5.15.2.0.20200611
os : Windows 10 10.0 amdé64
java : 1.8.0_251
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.name.ed.dnd.NameEditorDropTargetListenerE4.create
Operation (NameEditorDropTargetListenerE4. java:103)

at eu.etaxonomy.taxeditor.editor.name.e4.dnd.NameEditorDropTargetListenerE4.drop (N
ameEditorDropTargetListenerE4. java:74)

at org.eclipse.swt.dnd.DNDListener.handleEvent (DNDListener. java:91)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1088)

at org.eclipse.swt.widgets.Widget.notifyListeners (Widget.java:802)

at org.eclipse.swt.dnd.DropTarget .Drop (DropTarget.java:472)

at org.eclipse.swt.dnd.DropTarget.Drop_64 (DropTarget.java:406)

at org.eclipse.swt.dnd.DropTarget$3.method6 (DropTarget. java:270)

at org.eclipse.swt.internal.ole.win32.COMObject.callback6 (COMObject.java:119)

at org.eclipse.swt.internal.ole.win32.COM.DoDragDrop (Native Method)

at org.eclipse.swt.dnd.DragSource.drag(DragSource. java:378)

at org.eclipse.swt.dnd.DragSource.access$0 (DragSource. java:304)

at org.eclipse.swt.dnd.DragSource$l.handleEvent (DragSource. java:173)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
gEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE
ngine.java:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav
a:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.

ipseAppLauncher. java:134)

at org.eclipse.

uncher. java:104)
at
at
at
at
at
at
at
at
at

org.
.eclipse.
.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (Unknown Source)

org

sun.
sun.
sun.

eclipse.

reflect
reflect

reflect.

core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run (Main. java:1519

Associated revisions

Revision fe762514 - 08/03/2020 12:32 PM - Katja Luther
ref #9173: do not use use EditorUtil.getEditor() to avoid NPE

Revision 9fd1d846 - 08/12/2020 02:43 PM - Katja Luther

ref #9173: missing changes to avoid NPE when moving syn in homotypic group

Revision 51926a5c - 08/12/2020 03:01 PM - Katja Luther

ref #9173: missing changes in TreenodeDropAdapter

Revision 130bd395 - 08/13/2020 02:17 PM - Katja Luther

ref #9173: code cleaning

History

#1 - 07/30/2020 02:00 PM - Katja Luther

Now | could reproduce the problem. If the setting of the focus is not done, the NPE appears.

#2 - 08/03/2020 12:43 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.18

this should be fixed because the method call causing the NPE is not used anymore. Please review.

#3 - 08/12/2020 02:35 PM - Andreas Miuller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

| can't reproduce the NPE (but | don't know if | could before).

From the changeset it does not become clear how far "the method call causing the NPE is not used anymore". When has this been changed?

The changeset only comments code. If the code is not needed anymore it should be completely removed, | guess.

#4 - 08/12/2020 02:49 PM - Katja Luther

Andreas Muller wrote:

| can't reproduce the NPE (but | don't know if | could before).

From the changeset it does not become clear how far "the method call causing the NPE is not used anymore". When has this been changed?

The changeset only comments code. If the code is not needed anymore it should be completely removed, | guess.
Sorry | missed to add the relevant changes.

#5 - 08/14/2020 09:00 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#6 - 08/14/2020 12:54 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

| guess this can be closed now.

#7 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17
